Search these docs, or ask Revo a question — answers link the pages they came from.
Get the active schedules in the system
GET
/api/v1/{tenantId}/system/active-schedules
Returns the active schedules
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenantId
required
string
Responses
Section titled “ Responses ”OK
object
activeSchedules
Array<object>
object
status
string
scheduleName
string
scheduleId
string
scheduleThreadId
integer format: int64
startTime
integer format: int64
estimateState
string
estimatedRemainingSeconds
number format: double
estimatedFinishUtc
integer format: int64
estimateUpdatedUtc
integer format: int64
objects
Array<object>
object
objectName
string
scheduleThreadId
integer format: int64
threadName
string
isChildThread
boolean
entityId
string
barcode
string
labwareTypeId
string
labwareName
string
locationId
string
locationName
string
deviceName
string
Bad Request
object
message
string
code
string
Too Many Requests
object
message
string
code
string
Service Unavailable
object
message
string
code
string
Gateway Timeout
object
message
string
code
string